FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian Kernel

 
 
LinkBack Thread Tools
 
Old 10-27-2009, 11:08 AM
Stepan Golosunov
 
Default Bug#552610: modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/sound/core/snd.ko

Package: linux-2.6
Version: 2.6.31-1
Severity: important

When installing on lenny, linux-image-2.6.31-1-amd64 generates
lots of warnings with wrong modules paths.
Looks like firmware check is not working.

*аспаковывается пакет linux-image-2.6.31-1-amd64 (из файла .../linux-image-2.6.31-1-amd64_2.6.31-1_amd64.deb)...
Настраивается пакет linux-image-2.6.31-1-amd64 (2.6.31-1) ...
Running depmod.
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/net/ipv4/tcp_diag.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/net/ipv4/inet_diag.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/drivers/net/tun.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/arch/x86/kvm/kvm-intel.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/arch/x86/kvm/kvm.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/drivers/char/ppdev.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/drivers/parport/parport_pc.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/drivers/char/lp.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/drivers/parport/parport.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/net/bridge/bridge.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/fs/fuse/fuse.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/drivers/block/loop.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/sound/pci/hda/snd-hda-intel.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/sound/core/snd-pcm.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/sound/core/seq/snd-seq.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/sound/core/snd-timer.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/drivers/input/serio/serio_raw.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/sound/core/seq/snd-seq-device.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/drivers/i2c/busses/i2c-i801.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/drivers/input/misc/pcspkr.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/drivers/input/mouse/psmouse.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/sound/core/snd.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/drivers/i2c/i2c-core.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/drivers/acpi/button.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/sound/soundcore.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/drivers/char/agp/intel-agp.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/sound/core/snd-page-alloc.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/drivers/input/evdev.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/fs/ext3/ext3.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/fs/jbd/jbd.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/fs/mbcache.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/drivers/md/dm-mirror.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/drivers/md/dm-log.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/drivers/md/dm-snapshot.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/drivers/md/dm-mod.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/drivers/ata/ata_generic.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/drivers/scsi/sg.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/drivers/scsi/sr_mod.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/drivers/cdrom/cdrom.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/drivers/scsi/sd_mod.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/drivers/usb/storage/usb-storage.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/drivers/ata/ahci.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/drivers/ide/ide-pci-generic.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/drivers/ata/libata.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/drivers/net/atl1e/atl1e.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/drivers/scsi/scsi_mod.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/drivers/ide/ide-core.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/drivers/usb/host/ehci-hcd.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/drivers/usb/host/uhci-hcd.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/drivers/acpi/thermal.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/drivers/acpi/processor.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/drivers/acpi/fan.ko
modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/drivers/thermal/thermal_sys.ko
Running update-initramfs.
update-initramfs: Generating /boot/initrd.img-2.6.31-1-amd64
Running update-grub.
Updating /boot/grub/grub.cfg ...
Found Debian background: moreblue-orbit-grub.png
Found linux image: /boot/vmlinuz-2.6.31-1-amd64
Found initrd image: /boot/initrd.img-2.6.31-1-amd64
Found linux image: /boot/vmlinuz-2.6.30-2-amd64
Found initrd image: /boot/initrd.img-2.6.30-2-amd64
Found linux image: /boot/vmlinuz-2.6.26-2-amd64
Found initrd image: /boot/initrd.img-2.6.26-2-amd64
Found memtest86+ image: /boot/memtest86+.bin
done



-- System Information:
Debian Release: 5.0.3
APT prefers stable
APT policy: (900, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=ru_RU.UTF-8, LC_CTYPE=ru_RU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.31-1-amd64 depends on:
ii debconf [debconf-2.0] 1.5.24 Debian configuration management sy
ii initramfs-tools [linux-initra 0.92o tools for generating an initramfs
ii module-init-tools 3.4-1 tools for managing Linux kernel mo

Versions of packages linux-image-2.6.31-1-amd64 recommends:
pn firmware-linux-free <none> (no description available)

Versions of packages linux-image-2.6.31-1-amd64 suggests:
ii grub-pc [grub] 1.96+20080724-16 GRand Unified Bootloader, version
pn linux-doc-2.6.31 <none> (no description available)

Versions of packages linux-image-2.6.31-1-amd64 is related to:
pn firmware-bnx2 <none> (no description available)
pn firmware-bnx2x <none> (no description available)
pn firmware-ipw2x00 <none> (no description available)
pn firmware-ivtv <none> (no description available)
pn firmware-iwlwifi <none> (no description available)
pn firmware-linux <none> (no description available)
pn firmware-linux-nonfree <none> (no description available)
pn firmware-qlogic <none> (no description available)
pn firmware-ralink <none> (no description available)

-- debconf-show failed




--
To UNSUBSCRIBE, email to debian-kernel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 
Old 11-01-2009, 12:01 AM
Ben Hutchings
 
Default Bug#552610: modinfo: could not find module /lib/modules/2.6.31-1-amd64//lib/modules/2.6.31-1-amd64/kernel/sound/core/snd.ko

On Tue, 2009-10-27 at 16:08 +0400, Stepan Golosunov wrote:
> Package: linux-2.6
> Version: 2.6.31-1
> Severity: important
>
> When installing on lenny, linux-image-2.6.31-1-amd64 generates
> lots of warnings with wrong modules paths.
> Looks like firmware check is not working.
[...]

This is due to a difference between the lenny and sid versions of
module-init-tools. I will fix the installation script to work with
both.

Ben.

--
Ben Hutchings
The generation of random numbers is too important to be left to chance.
- Robert Coveyou
 

Thread Tools




All times are GMT. The time now is 11:17 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org